Skip to main content

Create Report For Target Player Uuid

POST 

/sanctions/v2/player/:player_uuid/reports

Create a new report for a target player Required Permissions: If source_player_uuid is not provided, or is the same as the active player: any of: sanction:report:create:self, sanction:report:create:any, sanction:* Otherwise: any of: sanction:report:create:any, sanction:*

Request

Path Parameters

    player_uuid uuidrequired

Body

required

    source_player_uuid

    object

    The player UUID of the source player. May be missing depending on permissions

    anyOf

    string

    reason ReportReason (string)required

    Possible values: [cheating, hate_speech, harassment, real_life_threat, teaming, intentional_feeding, stream_sniping, afk, didnt_play_assigned_role, other]

    Reason a player is submitting the report.

    description

    object

    The description of the report

    anyOf

    string

    Possible values: non-empty and <= 4096 characters

    session_id

    object

    The session ID of the report

    anyOf

    string

    instance_id

    object

    The instance ID of the report

    anyOf

    string

    match_id

    object

    The match ID of the report

    anyOf

    string

    match_segment

    object

    The match segment of the report

    anyOf

    string

    custom_data

    object

    Custom data for the report

    property name* string

Responses

Successful Response

Schema

    report_id Report Id (string)required

    Unique ID for the player report

    source_player_uuid

    object

    The player UUID of the source player. May be missing depending on permissions

    anyOf

    string

    source_player_id

    object

    deprecated

    DEPRECATED: Use source_player_uuid instead. The player ID of the source player

    anyOf

    integer

    target_player_uuid

    object

    required

    The player UUID of the target player. May be missing depending on permissions

    anyOf

    string

    target_player_id

    object

    deprecated

    DEPRECATED: Use target_player_uuid instead. The player ID of the target player

    anyOf

    integer

    reason ReportReason (string)required

    Possible values: [cheating, hate_speech, harassment, real_life_threat, teaming, intentional_feeding, stream_sniping, afk, didnt_play_assigned_role, other]

    Reason a player is submitting the report.

    description

    object

    The description of the report

    anyOf

    string

    Possible values: non-empty and <= 4096 characters

    session_id

    object

    The session ID of the report

    anyOf

    string

    instance_id

    object

    The instance ID of the report

    anyOf

    string

    match_id

    object

    The match ID of the report

    anyOf

    string

    match_segment

    object

    The match segment of the report

    anyOf

    string

    custom_data

    object

    Custom data for the report

    property name* string

    created

    object

    The date and time the report was created

    anyOf

    string

    modified

    object

    The date and time the report was last modified

    anyOf

    string

Loading...